# Uses of Class
org.apache.lucene.search.TopFieldCollector

Packages that use TopFieldCollector
Package
Description
org.apache.lucene.search
Code to search indices.

- ## Uses of TopFieldCollector in org.apache.lucene.search

  Methods in org.apache.lucene.search that return TopFieldCollector
  Modifier and Type
  Method
  Description
  `TopFieldCollector`
  TopFieldCollectorManager.`newCollector()`
  Methods in org.apache.lucene.search that return types with arguments of type TopFieldCollector
  Modifier and Type
  Method
  Description
  `List<TopFieldCollector>`
  TopFieldCollectorManager.`getCollectors()`
  Method parameters in org.apache.lucene.search with type arguments of type TopFieldCollector
  Modifier and Type
  Method
  Description
  `TopFieldDocs`
  TopFieldCollectorManager.`reduce(Collection<TopFieldCollector> collectors)`